# Goocanvas::Polyline Class Reference

Inheritance diagram for Goocanvas::Polyline:
[legend]

List of all members.

## Public Member Functions

virtual | ~Polyline ()
GooCanvasPolyline* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasPolyline* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasPolyline* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< double > | property_arrow_length ()
| The length of the arrows, as a multiple of the line width.
Glib::PropertyProxy_ReadOnly < double > | property_arrow_length () const
| The length of the arrows, as a multiple of the line width.
Glib::PropertyProxy< double > | property_arrow_tip_length ()
| The length of the arrow tip, as a multiple of the line width.
Glib::PropertyProxy_ReadOnly < double > | property_arrow_tip_length () const
| The length of the arrow tip, as a multiple of the line width.
Glib::PropertyProxy< double > | property_arrow_width ()
| The width of the arrows, as a multiple of the line width.
Glib::PropertyProxy_ReadOnly < double > | property_arrow_width () const
| The width of the arrows, as a multiple of the line width.
Glib::PropertyProxy< bool > | property_close_path ()
| If the last point should be connected to the first.
Glib::PropertyProxy_ReadOnly < bool > | property_close_path () const
| If the last point should be connected to the first.
Glib::PropertyProxy< bool > | property_end_arrow ()
| If an arrow should be displayed at the end of the polyline.
Glib::PropertyProxy_ReadOnly < bool > | property_end_arrow () const
| If an arrow should be displayed at the end of the polyline.
Glib::PropertyProxy< Points > | property_points ()
| The array of points.
Glib::PropertyProxy_ReadOnly < Points > | property_points () const
| The array of points.
Glib::PropertyProxy< bool > | property_start_arrow ()
| If an arrow should be displayed at the start of the polyline.
Glib::PropertyProxy_ReadOnly < bool > | property_start_arrow () const
| If an arrow should be displayed at the start of the polyline.

## Static Public Member Functions

static Glib::RefPtr< Polyline > | create (bool close_path, const Points& coords)
static Glib::RefPtr< Polyline > | create (double x1, double y1, double x2, double y2)

## Protected Member Functions

| Polyline (bool close_path, const Points& coords)
| Polyline (double x1, double y1, double x2, double y2)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Goocanvas::Polyline > | wrap (GooCanvasPolyline* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::Polyline::~Polyline | ( |  | ) | `[virtual]`

Goocanvas::Polyline::Polyline | ( | bool | close_path,
|  | const Points& | coords
| ) |  | `[protected]`

Goocanvas::Polyline::Polyline | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  | `[protected]`

## Member Function Documentation

static Glib::RefPtr<Polyline> Goocanvas::Polyline::create | ( | bool | close_path,
|  | const Points& | coords
| ) |  | `[static]`

static Glib::RefPtr<Polyline> Goocanvas::Polyline::create | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  | `[static]`

const GooCanvasPolyline* Goocanvas::Polyline::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

GooCanvasPolyline* Goocanvas::Polyline::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

GooCanvasPolyline* Goocanvas::Polyline::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Goocanvas::ItemSimple.

Glib::PropertyProxy<double> Goocanvas::Polyline::property_arrow_length | ( |  | ) |

The length of the arrows, as a multiple of the line width.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Polyline::property_arrow_length | ( |  | ) | const

The length of the arrows, as a multiple of the line width.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Polyline::property_arrow_tip_length | ( |  | ) |

The length of the arrow tip, as a multiple of the line width.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Polyline::property_arrow_tip_length | ( |  | ) | const

The length of the arrow tip, as a multiple of the line width.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Polyline::property_arrow_width | ( |  | ) |

The width of the arrows, as a multiple of the line width.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Polyline::property_arrow_width | ( |  | ) | const

The width of the arrows, as a multiple of the line width.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Goocanvas::Polyline::property_close_path | ( |  | ) |

If the last point should be connected to the first.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Goocanvas::Polyline::property_close_path | ( |  | ) | const

If the last point should be connected to the first.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Goocanvas::Polyline::property_end_arrow | ( |  | ) |

If an arrow should be displayed at the end of the polyline.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Goocanvas::Polyline::property_end_arrow | ( |  | ) | const

If an arrow should be displayed at the end of the polyline.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Points> Goocanvas::Polyline::property_points | ( |  | ) |

The array of points.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Points> Goocanvas::Polyline::property_points | ( |  | ) | const

The array of points.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Goocanvas::Polyline::property_start_arrow | ( |  | ) |

If an arrow should be displayed at the start of the polyline.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Goocanvas::Polyline::property_start_arrow | ( |  | ) | const

If an arrow should be displayed at the start of the polyline.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::Polyline > wrap | ( | GooCanvasPolyline * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/polyline.h